#! /bin/bash
#
# plugin
#

PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/var/bin/mgcamd
DESC="mgcamd"
NAME=mgcamd
USERID=root
GROUPID=root

test -x $DAEMON || exit 0

case "$1" in
  start)
        echo -n "Starting $DESC: "

				count=0
				until [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ] || [ $count -gt 30 ]
				do
					echo -n "Waiting ["
					sleep 1
					let count=$count+1
					echo -n $count
					echo "]"
				done
				
				if [ `cat /tmp/resolv.conf | grep -c nameserver` -gt 0 ]; then
					start-stop-daemon -S -c $USERID:$GROUPID \
					-x $DAEMON 
				fi
				
        ;;
  stop)
        echo -n "Stopping $DESC: "
        start-stop-daemon -K -q -x $DAEMON
        echo "$NAME."
        ;;
esac

exit 0
